html {
    font-family: Arial, Helvetica, sans-serif;
    background-color: #0a0a0a;
    color: #ffffff;
}

.header {
    position: sticky;
    top: 0;
    background-color: #0a0a0a;
    padding: 16px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.menu {
    display: flex;
    flex-wrap: wrap;
    gap: 12px;
    list-style: none;
    padding: 0;
    justify-content: center;
}

.main {
    padding: 24px;
}

.team {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 20px;
    list-style: none;
}

.pokemon {
    display: flex;
    flex-direction: column;
    text-align: center;
}

.pokemon a {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    text-align: center;
}

.pokemon img {
    max-width: 100%;
    max-height: 300px;
    object-fit: contain;
    padding-top: 10px;
    padding-bottom: 30px;
}

a {
    color: #BDBDBD;
    text-decoration: none;
    border-bottom: 5px solid transparent;
    position: center;
}

a:hover {
    color: #FFE866;
    text-decoration: underline;
}

.pokemon a:hover {
    color: #FFE866;
    text-decoration: underline;
    border-bottom: 5px solid #FFE866;
}

h1 {
    font-size: 32px;
}

h2 {
    font-size: 26px;
}

a:active {
    color: #2A3699;
}

.pokemon-detail {
    display: flex;
    flex-wrap: wrap;
    gap: 24px;
    padding: 24px;
}


.pokemon-detail-mega {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    gap: 24px;
    padding: 24px;
}

.info {
    max-width: 600px;
}

table {
    border-collapse: collapse;
    margin-top: 16px;
}

th,
td {
    border: 1px solid #BDBDBD;
    padding: 8px;
    text-align: center;
}

.shiny {
    background-color: #ffffff;
    padding: 10px;
}

.img-container {

    display: flex;
    align-items: center;
    justify-content: center;
}

.pokemon-image {
    width: 400px;
    height: 400px;
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}